%define upstream_name    Padre-Plugin-DataWalker
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Simple Perl data structure browser Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Module::Install)
BuildRequires: perl(Padre)
BuildRequires: perl(Wx::Perl::DataWalker)
BuildRequires: perl(YAML::XS)
BuildArch: noarch


%description
This plugin uses the the Wx::Perl::DataWalker manpage module to provide
facilities for interactively browsing Perl data structures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-12.mga10
+ Revision: 2213844
- Mageia 10 Mass Rebuild

* Sat Apr 02 2022 umeabot <umeabot> 0.40.0-11.mga9
+ Revision: 1840172
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-10.mga8
+ Revision: 1496253
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-9.mga7
+ Revision: 1270239
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-8.mga6
+ Revision: 1031613
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-7.mga6
+ Revision: 949932
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.40.0-6.mga5
+ Revision: 789622
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 746854
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513919
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 371414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 37608
- mageia rebuild
- cleaning spec file
- imported package perl-Padre-Plugin-DataWalker

